﻿@using System.Web.UI.WebControls;
@using Portal.Models.DailyOrder;

<table border="0">
        <tr>
            <td style="height:25px; padding-right:4px;">
            @Html.Label("Supplier Code")
            </td>
            <td style="padding-right:10px;">
                            @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "SupplierCodeCPO";
                                //settings.Text = "6000-1";
                                settings.Width = new System.Web.UI.WebControls.Unit(100);
                                settings.Enabled = false;
                                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Right;
                                //}).GetHtml()
                            }).Bind(ViewData["SupplierCodeCPO"]).GetHtml()
            </td>

            <td style="height:25px; padding-right:4px;">
            @Html.Label("Total Manifest")
            </td>
            <td style="padding-right:10px;">
                            @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "TotalManifestCPO";
                                //settings.Text = "50";
                                settings.Width = new System.Web.UI.WebControls.Unit(100);
                                settings.Enabled = false;
                                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Right;
                                //}).GetHtml()
                            }).Bind(ViewData["TotalManifestCPO"]).GetHtml()
            </td>
            <td style="height:25px; padding-right:4px;">
            @Html.Label("Order Plan Qty")
            </td>
            <td style="padding-right:10px;">
                            @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "OrderPlantQtyCPO";
                                //settings.Text = "200";
                                settings.Width = new System.Web.UI.WebControls.Unit(100);
                                settings.Enabled = false;
                                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Right;
                                //}).GetHtml()
                            }).Bind(ViewData["OrderPlantQtyCPO"]).GetHtml()
            </td>
         </tr>
        <tr>
            <td>
            @Html.Label("Remaining Qty")
            </td>
            <td style="padding-right:10px;">
                            @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "RemainingQtyCPO";
                                //settings.Text = "100";
                                settings.Width = new System.Web.UI.WebControls.Unit(100);
                                settings.Enabled = false;
                                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Right;
                                //}).GetHtml()
                            }).Bind(ViewData["RemainingQtyCPO"]).GetHtml()
            </td>

            <td>
            @Html.Label("Download Flag")
            </td>
            <td style="padding-right:10px;">
                            @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "DownloadFlagCPO";
                                //settings.Text = "6000-1";
                                settings.Width = new System.Web.UI.WebControls.Unit(100);
                                settings.Enabled = false;
                                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Right;
                                //}).GetHtml()
                            }).Bind(ViewData["DownloadFlagCPO"]).GetHtml()
            </td>

            <td>
            @Html.Label("Download Order")
            </td>
            <td style="padding-right:10px;">
                            @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "DownloadOrderDataCPO";
                                //settings.Text = "6000-1";
                                settings.Width = new System.Web.UI.WebControls.Unit(100);
                                settings.Enabled = false;
                                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Right;
                                //}).GetHtml()
                            }).Bind(ViewData["DownloadOrderDataCPO"]).GetHtml()
            </td>
         </tr>
        <tr>
            <td>
            @Html.Label("Capability")
            </td>
            <td style="padding-right:10px;">
                            @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "CapabilityCPO";
                                //settings.Text = "6000-1";
                                settings.Width = new System.Web.UI.WebControls.Unit(100);
                                settings.Enabled = false;
                                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Right;
                            //}).GetHtml()
                            }).Bind(ViewData["CapabilityCPO"]).GetHtml()
            </td>

            <td>
            @Html.Label("Notice")
            </td>
            <td style="padding-right:10px;">
                            @Html.DevExpress().TextBox(
                            settings =>
                            {
                                settings.Name = "NoticeCPO";
                                //settings.Text = "6000-1";
                                settings.Width = new System.Web.UI.WebControls.Unit(100);
                                settings.Enabled = false;
                                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Right;
                            //}).GetHtml()
                            }).Bind(ViewData["NoticeCPO"]).GetHtml()
            </td>
         </tr>
       </table>
       <table width="100%" border="0">
        <tr>
            <td width="930px"></td>
            <td align="right" width="60px">
            @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnUndoCancelCPO";
                    settings.Text = "Undo Cancel Manifest Order";
                    settings.Width = 185;
                    settings.UseSubmitBehavior = true;
                }
                ).GetHtml()            
            </td>
            <td  align="right" width="60px">
                @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnCancelCPO";
                    settings.Text = "Cancel Manifest Order";
                    settings.Width = 150;
                    settings.UseSubmitBehavior = true;
                }
                ).GetHtml()            
            </td>
        </tr>
    </table>